Package ietf.params.xml.ns.icalendar_2

# Class PeriodType

java.lang.Object
ietf.params.xml.ns.icalendar_2.PeriodType

public class PeriodType extends Object

Java class for PeriodType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="start" type="{urn:ietf:params:xml:ns:icalendar-2.0}DateTimeType"/>
             <sequence>
               <choice>
                 <element name="end" type="{urn:ietf:params:xml:ns:icalendar-2.0}DateTimeType"/>
                 <element name="duration" type="{urn:ietf:params:xml:ns:icalendar-2.0}DurationValueType"/>
               </choice>
             </sequence>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `duration`
  `protected XMLGregorianCalendar`
  `end`
  `protected XMLGregorianCalendar`
  `start`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDuration()`
  Gets the value of the duration property.
  `XMLGregorianCalendar`
  `getEnd()`
  Gets the value of the end property.
  `XMLGregorianCalendar`
  `getStart()`
  Gets the value of the start property.
  `void`
  `setDuration(String value)`
  Sets the value of the duration property.
  `void`
  `setEnd(XMLGregorianCalendar value)`
  Sets the value of the end property.
  `void`
  `setStart(XMLGregorianCalendar value)`
  Sets the value of the start property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### start

    protected XMLGregorianCalendar start

  - ### end

    protected XMLGregorianCalendar end

  - ### duration

    protected String duration

- ## Constructor Details

  - ### PeriodType

    public PeriodType()

- ## Method Details

  - ### getStart

    public XMLGregorianCalendar getStart()
    Gets the value of the start property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setStart

    public void setStart(XMLGregorianCalendar value)
    Sets the value of the start property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`

  - ### getEnd

    public XMLGregorianCalendar getEnd()
    Gets the value of the end property.
    Returns:
      possible object is `XMLGregorianCalendar`

  - ### setEnd

    public void setEnd(XMLGregorianCalendar value)
    Sets the value of the end property.
    Parameters:
      `value` - allowed object is `XMLGregorianCalendar`

  - ### getDuration

    public String getDuration()
    Gets the value of the duration property.
    Returns:
      possible object is `String`

  - ### setDuration

    public void setDuration(String value)
    Sets the value of the duration property.
    Parameters:
      `value` - allowed object is `String`